import 'package:freezed_annotation/freezed_annotation.dart';

part 'annotation.freezed.dart';
part 'annotation.g.dart';

// TODO: Support union type segmentation with RLE support in future

@freezed
class Annotation with _$Annotation {
  const factory Annotation(
      {
        /// Unique identifier for the annotation.
        required int id,
        /// Identifier for the image this annotation is associated with.
        required int imageId,
        /// Identifier for the category of this annotation.
        required int categoryId,
        /// Segmentation of the objects detected.
        required List<List<num>> segmentation,
        /// Area of the object.
        required num area,
        /// Bounding box of the object in COCO format [x, y, width, height].
        required List<num> bbox,
        @Default(false)
        bool iscrowd
      }) = _Annotation;

  factory Annotation.fromJson(Map<String, dynamic> json) =>
      _$AnnotationFromJson(json);
}
