import 'package:json_annotation/json_annotation.dart';

part 'category.g.dart';

@JsonSerializable()
class Category {
  /// Unique identifier for the category.
  int id = 0;

  /// Name of the category.
  String name = "";

  int? supercategory;

  /// Returns a new [Category] instance.
  Category({
    required this.id,
    required this.name,
    this.supercategory,
  });

  factory Category.fromJson(Map<String, dynamic> json) =>
      _$CategoryFromJson(json);

  Map<String, dynamic> toJson() => _$CategoryToJson(this);
}
