import 'package:json_annotation/json_annotation.dart';

part 'image.g.dart';

@JsonSerializable()
class Image {
  /// Unique identifier for the image.
  int id = 0;

  /// Width of the image.
  int width = 0;

  /// Height of the image.
  int height = 0;

  /// File name of the image.
  @JsonKey(name: 'file_name')
  String fileName = "";

  /// Returns a new [Image] instance.
  Image({
    required id,
    required width,
    required height,
    required fileName,
  });

  factory Image.fromJson(Map<String, dynamic> json) => _$ImageFromJson(json);

  Map<String, dynamic> toJson() => _$ImageToJson(this);
}
