import 'package:freezed_annotation/freezed_annotation.dart';

import 'annotations/category.dart';
import 'annotations/image.dart';

part 'image_response.freezed.dart';
part 'image_response.g.dart';

@freezed
class ImageResponse with _$ImageResponse {
  const factory ImageResponse({
    required List<Image> images,
    required List<dynamic> annotations,
    required List<Category> categories,
  }) = _ImageResponse;

  factory ImageResponse.fromJson(Map<String, Object?> json) =>
      _$ImageResponseFromJson(json);
}
