import 'dart:io';

import 'package:copilot/copilot.dart';
import 'package:copilot/src/models/image_response.dart';
import 'package:mime/mime.dart';
import 'package:test/test.dart';

void main() {
  group('A group of tests', () {
    final apiClient = OOOGenAIAPIService();

    setUp(() {
      // Additional setup goes here.
    });

    test('Wound Segmentation API', () async {
      String filename = 'test_wound.png';
      var file = File('./test/assets/$filename');

      String? mimetype = lookupMimeType(file.path);
      var output = await apiClient.postImage(
          filename,
          (mimetype != null) ? mimetype : 'image/png',
          file.readAsBytesSync(),
          "A pain that's not going away");

      expect(output, isA<ImageResponse>());
      expect(output.images.length, 1);
      // There are 2 wounds in the test picture
      expect(output.annotations.length, 2);
      expect(output.categories.length, 1);
    });
  });
}
